Loading...
Searching...
No Matches
QXmppOutgoingClient Class Reference

The QXmppOutgoingClient class represents an outgoing XMPP stream to an XMPP server. More...

`#include <QXmppOutgoingClient.h>`

Inheritance diagram for QXmppOutgoingClient:
[legend]
Collaboration diagram for QXmppOutgoingClient:
[legend]

## Public Slots

void | disconnectFromHost () override
Public Slots inherited from QXmppStream
virtual void | disconnectFromHost ()
virtual bool | sendData (const QByteArray &)

## Signals

void | error (QXmppClient::Error)
| This signal is emitted when an error is encountered.
void | elementReceived (const QDomElement &element, bool &handled)
| This signal is emitted when an element is received.
void | presenceReceived (const QXmppPresence &)
| This signal is emitted when a presence is received.
void | messageReceived (const QXmppMessage &)
| This signal is emitted when a message is received.
void | iqReceived (const QXmppIq &)
void | sslErrors (const QList< QSslError > &errors)
| This signal is emitted when SSL errors are encountered.
Signals inherited from QXmppStream
void | connected ()
| This signal is emitted when the stream is connected.
void | disconnected ()
| This signal is emitted when the stream is disconnected.
Signals inherited from QXmppLoggable
void | setGauge (const QString &gauge, double value)
| Sets the given gauge to value.
void | logMessage (QXmppLogger::MessageType type, const QString &msg)
| This signal is emitted to send logging messages.
void | updateCounter (const QString &counter, qint64 amount=1)
| Updates the given counter by amount.

## Public Member Functions

| QXmppOutgoingClient (QObject *parent)
void | connectToHost ()
| Attempts to connect to the XMPP server.
bool | isAuthenticated () const
| Returns true if authentication has succeeded.
bool | isConnected () const override
| Returns true if the socket is connected and a session has been started.
bool | isClientStateIndicationEnabled () const
bool | isStreamManagementEnabled () const
bool | isStreamResumed () const
QXmppTask< IqResult > | sendIq (QXmppIq &&)
QSslSocket * | socket () const
| Returns the used socket.
QXmppStanza::Error::Condition | xmppStreamError ()
| Returns the type of the last XMPP stream error that occurred.
QXmppConfiguration & | configuration ()
| Returns a reference to the stream's configuration.
Public Member Functions inherited from QXmppStream
| QXmppStream (QObject *parent)
| ~QXmppStream () override
bool | sendPacket (const QXmppNonza &)
QXmppTask< QXmpp::SendResult > | send (QXmppNonza &&)
QXmppTask< QXmpp::SendResult > | send (QXmppPacket &&)
QXmppTask< IqResult > | sendIq (QXmppIq &&, const QString &to)
QXmppTask< IqResult > | sendIq (QXmppPacket &&, const QString &id, const QString &to)
void | cancelOngoingIqs ()
bool | hasIqId (const QString &id) const
void | resetPacketCache ()
Public Member Functions inherited from QXmppLoggable
| QXmppLoggable (QObject *parent=nullptr)

## Friends

class | QXmppOutgoingClientPrivate
class | tst_QXmppOutgoingClient

## Additional Inherited Members

Public Types inherited from QXmppStream
using | IqResult = std::variant< QDomElement, QXmppError >
Protected Member Functions inherited from QXmppStream
QSslSocket * | socket () const
void | setSocket (QSslSocket *socket)
virtual void | handleStart ()
virtual void | handleStanza (const QDomElement &element)=0
virtual void | handleStream (const QDomElement &element)=0
void | enableStreamManagement (bool resetSequenceNumber)
unsigned int | lastIncomingSequenceNumber () const
void | setAcknowledgedSequenceNumber (unsigned int sequenceNumber)
Protected Member Functions inherited from QXmppLoggable
void | debug (const QString &message)
void | info (const QString &message)
void | warning (const QString &message)
void | logReceived (const QString &message)
void | logSent (const QString &message)

## Detailed Description

The QXmppOutgoingClient class represents an outgoing XMPP stream to an XMPP server.

## Constructor & Destructor Documentation

## QXmppOutgoingClient()

QXmppOutgoingClient::QXmppOutgoingClient | ( | QObject * | parent | ) |

Constructs an outgoing client stream.

## Member Function Documentation

## disconnectFromHost

void QXmppOutgoingClient::disconnectFromHost | ( |  | ) |

override slot

Disconnects from the server and resets the stream management state.

Since
  QXmpp 1.0

## iqReceived

void QXmppOutgoingClient::iqReceived | ( | const QXmppIq & |  | ) |

signal

This signal is emitted when an IQ response (type result or error) has been received that was not handled by elementReceived().

## isClientStateIndicationEnabled()

bool QXmppOutgoingClient::isClientStateIndicationEnabled | ( |  | ) | const

Returns true if client state indication (xep-0352) is supported by the server

Since
  QXmpp 1.0

## isConnected()

bool QXmppOutgoingClient::isConnected | ( |  | ) | const

override virtual

Returns true if the socket is connected and a session has been started.

Reimplemented from QXmppStream.

## isStreamManagementEnabled()

bool QXmppOutgoingClient::isStreamManagementEnabled | ( |  | ) | const

Returns whether Stream Management is currently enabled.

Since
  QXmpp 1.4

## isStreamResumed()

bool QXmppOutgoingClient::isStreamResumed | ( |  | ) | const

Returns true if the current stream is a successful resumption of a previous stream.

In case a stream has been resumed, some tasks like fetching the roster again are not required.

Since
  QXmpp 1.4

## sendIq()

QXmppTask< QXmppStream::IqResult > QXmppOutgoingClient::sendIq | ( | QXmppIq && | iq | ) |

Sends an IQ and reports the response asynchronously.

It makes sure that the to address is set so the stream can correctly check the reponse's sender.

Since
  QXmpp 1.5

The documentation for this class was generated from the following files:

- QXmppOutgoingClient.h
- QXmppOutgoingClient.cpp